
From: Milton Miller <miltonm@bga.com>

Statically initialize the vtermnos array.

Signed-off-by: Milton Miller <miltonm@bga.com>
Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/hvc_console.c |    8 ++------
 1 files changed, 2 insertions(+), 6 deletions(-)

diff -puN drivers/char/hvc_console.c~hvc_console-statically-initialize-the-vtermnos-array drivers/char/hvc_console.c
--- 25/drivers/char/hvc_console.c~hvc_console-statically-initialize-the-vtermnos-array	Wed Jul  6 14:00:33 2005
+++ 25-akpm/drivers/char/hvc_console.c	Wed Jul  6 14:00:33 2005
@@ -144,8 +144,8 @@ struct hvc_struct *hvc_get_by_index(int 
  * console interfaces but can still be used as a tty device.  This has to be
  * static because kmalloc will not work during early console init.
  */
-static uint32_t vtermnos[MAX_NR_HVC_CONSOLES];
-
+static uint32_t vtermnos[MAX_NR_HVC_CONSOLES] =
+	{[0 ... MAX_NR_HVC_CONSOLES - 1] = -1};
 
 /*
  * Console APIs, NOT TTY.  These APIs are available immediately when
@@ -213,10 +213,6 @@ struct console hvc_con_driver = {
 /* Early console initialization.  Preceeds driver initialization. */
 static int __init hvc_console_init(void)
 {
-	int i;
-
-	for (i=0; i<MAX_NR_HVC_CONSOLES; i++)
-		vtermnos[i] = -1;
 	hvc_find_vtys();
 	register_console(&hvc_con_driver);
 	return 0;
_
